Update Session
curl --request PATCH \
--url https://api.egp.scale.com/v4/sessions/{session_id} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"state": {},
"restore": false
}
'import requests
url = "https://api.egp.scale.com/v4/sessions/{session_id}"
payload = {
"title": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"state": {},
"restore": False
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
state: {},
restore: false
})
};
fetch('https://api.egp.scale.com/v4/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"state": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sessions
Update Session
Description
Updates a session
Details
This API can be used to update the session that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Session API call as a path parameter.
Review the request schema to see the fields that can be updated.
PATCH
/
v4
/
sessions
/
{session_id}
Update Session
Path Parameters
Body
application/json
Response
Successful Response
Opaque, caller-defined session state.
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The ID of the account that owns the given entity.
Start of the session window.
End of the session window.
The date and time when the entity was archived in ISO format.

